1.0

1.0

put /v1/clusters/{cluster_id}/log-export-configs/{log_type}

Description

Set Log Export Config.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 109a585ae67b4e8482fdafc8a4a5be74
stringNone
pathlog_type
required
Log type
Example : alert
any of [enum (alert, audit, slow), null]None
bodybody
required

LogExportConfigModifyRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/log-export-configs/{log_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"

Request body

{
    "access_key": "13952a8851244213f2de8d95069bf161",
    "delete_on_export": true,
    "schedule_day_of_month": "28",
    "schedule_day_of_week": "MON",
    "schedule_frequency_type": "DAY",
    "schedule_hour": "12",
    "secret_key": "secretkey"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}